# Skill Memberships

Skill Memberships represent skills that has been assigned to a specified user.

## Fetching a list of Skill Memberships

 - [GET /skill_memberships](https://developer.kantata.com/kantata/specification/skill-memberships/get-skill-memberships.md): Returns a list of viewable skill memberships.

This endpoint returns structured Skill Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skill_memberships top-level JSON key.
Please see our Response Format section for more information.

## Creating a new Skill Membership

 - [POST /skill_memberships](https://developer.kantata.com/kantata/specification/skill-memberships/create-skill-membership.md): Adds a skill to a user.

Bulk Create

This endpoint supports bulk creating up to 200 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "skill_memberships": [
    {
      "skill_id": 123,
      "user_id": 111
    },
    {
      "skill_id": 456,
      "user_id": 222
    }
  ]
}



This endpoint returns structured Skill Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skill_memberships top-level JSON key.
Please see our Response Format section for more information.

## Fetching a single Skill Membership

 - [GET /skill_memberships/{id}](https://developer.kantata.com/kantata/specification/skill-memberships/get-skill-membership.md): Returns a skill membership.

This endpoint returns structured Skill Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skill_memberships top-level JSON key.
Please see our Response Format section for more information.

## Updating an existing Skill Membership

 - [PUT /skill_memberships/{id}](https://developer.kantata.com/kantata/specification/skill-memberships/update-skill-membership.md): This endpoint returns structured Skill Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skill_memberships top-level JSON key.
Please see our Response Format section for more information.

## Deleting an existing Skill Membership

 - [DELETE /skill_memberships/{id}](https://developer.kantata.com/kantata/specification/skill-memberships/delete-skill-membership.md): Removes a skill from a user.

The response will contain no content and an HTTP 204 status code if the request was
successful, or a standard Kantata OX error message explaining why the object could not be deleted.

